/*
 * Created on 13.11.2003
 *
 */
package seco.fmsweb.acting;

import java.util.HashMap;
import java.util.Map;

import org.apache.avalon.framework.configuration.Configurable;
import org.apache.avalon.framework.configuration.Configuration;
import org.apache.avalon.framework.configuration.ConfigurationException;
import org.apache.avalon.framework.parameters.Parameters;
import org.apache.avalon.framework.thread.ThreadSafe;
import org.apache.cocoon.acting.ServiceableAction;
import org.apache.cocoon.environment.ObjectModelHelper;
import org.apache.cocoon.environment.Redirector;
import org.apache.cocoon.environment.Request;
import org.apache.cocoon.environment.SourceResolver;

import seco.fmsweb.FMSConfiguration;

/**
 * @author jiemakel
 *
 */
public class UserStateAction extends ServiceableAction implements ThreadSafe, Configurable {

	String deflang=null;
	 
	public void configure(Configuration conf) throws ConfigurationException {
		FMSConfiguration cnf = FMSConfiguration.getInstance();
		deflang = conf.getChild("defaultLanguage").getValue(cnf.DEF_LANG);
	}
	
    /* (non-Javadoc)
     * @see org.apache.cocoon.acting.Action#act(org.apache.cocoon.environment.Redirector, org.apache.cocoon.environment.SourceResolver, java.util.Map, java.lang.String, org.apache.avalon.framework.parameters.Parameters)
     */
    public Map act(
            Redirector redirector,
            SourceResolver resolver,
            Map objectModel,
            String source,
            Parameters par)
        throws Exception {
            Map map=new HashMap();            
            Request request = ObjectModelHelper.getRequest(objectModel);
            String lang =  request.getParameter("l");
            String page = request.getParameter("pg");
            if (lang == null) {
              lang = deflang;
            }
            if (page == null) {
               page= "1";
            }
            map.put("lang", lang);
            map.put("page", page);
            return map;            
    }

}
